import React from 'react';
import NavLink from './NavLink';
import styles from './Nav.css';

const Nav = () => {
  return (
    <ul className={styles.nav}>
      <li>
        <NavLink to='/' onlyActiveOnIndex={true}>Home</NavLink>
      </li>
      <li>
        <NavLink to='/docs'>Docs</NavLink>
      </li>
      <li>
        <NavLink to='/about'>About</NavLink>
      </li>
      <li>
        <a href="https://github.com/nathanhleung/react-progressor">Github</a>
      </li>
    </ul>
  );
};

export default Nav;