'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _util = require('../util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Percent = function Percent(props) {
  var start = props.start;
  var end = props.end;
  var current = props.current;
  var places = props.places;

  return _react2.default.createElement(
    'div',
    { style: { display: 'inline-block' } },
    (0, _util.getPercent)(start, end, current, places) + '%'
  );
};

Percent.defaultProps = {
  start: 0,
  end: 100,
  places: 2
};

Percent.propTypes = {
  start: _react.PropTypes.number.isRequired,
  end: _react.PropTypes.number.isRequired,
  current: _react.PropTypes.number.isRequired,
  places: _react.PropTypes.number
};

exports.default = Percent;