import React from 'react';
import Header from './header/Header'
import Nav from './nav/Nav';

import styles from './App.css';

const App = (props) => {
  return (
    <div className={styles.app}>
      <div className={styles.appTop}>
        <Header />
        <Nav />
      </div>
      <div className={styles.appBody}>
        { props.children }
      </div>
    </div>
  );
};

export default App;