"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getPercent = getPercent;
function getPercent(start, end, current) {
  var places = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;

  var percent = (current - start) / (end - start) * 100;
  var rounded = Math.round(percent * Math.pow(10, places)) / Math.pow(10, places);
  return rounded;
}